#!/bin/sh
# $Id$
+mount | grep squashfs >&- || {
+ echo "You do not have a squashfs partition; aborting"
+ echo "(firstboot cannot be run on jffs2 based firmwares)"
+ return
+}
[ -f "/tmp/.firstboot" ] && {
echo "firstboot is already running"
} done
echo "done"
-echo -n "fixing ipkg symlinks... "
-for file in $( find /usr/lib/ipkg/info/*list -type l;)
-do {
- rm $file; cp -f /rom/$file $file
-} done
-
touch /tmp/resolv.conf
ln -s /tmp/resolv.conf /etc/resolv.conf